﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Charting;

public partial class Default9 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable tbl = new DataTable();
        DataColumn col = new DataColumn("Quarter");
        col.DataType = typeof(string);
        tbl.Columns.Add(col);
        col = new DataColumn("Value");
        col.DataType = typeof(double);
        tbl.Columns.Add(col);

        tbl.Rows.Add("Q1 08", 5);
        tbl.Rows.Add("Q2 08", 6);
        tbl.Rows.Add("Q4 08", 7);

        DataTable tbl2 = new DataTable();
        col = new DataColumn("Quarter");
        col.DataType = typeof(string);
        tbl2.Columns.Add(col);
        col = new DataColumn("Value");
        col.DataType = typeof(double);
        tbl2.Columns.Add(col);

        tbl2.Rows.Add("Q2 08", 2);
        tbl2.Rows.Add("Q4 08", 3);
        tbl2.Rows.Add("Q1 09", 4);

        this.CreateSeries(tbl);
        this.CreateSeries(tbl2);

        RadChart1.PlotArea.XAxis.AutoScale = false;
        RadChart1.PlotArea.XAxis.AddRange(1, 5, 1);
        RadChart1.PlotArea.XAxis.Items[0].TextBlock.Text = "Q1 08";
        RadChart1.PlotArea.XAxis.Items[1].TextBlock.Text = "Q2 08";
        RadChart1.PlotArea.XAxis.Items[2].TextBlock.Text = "Q3 08";
        RadChart1.PlotArea.XAxis.Items[3].TextBlock.Text = "Q4 08";
        RadChart1.PlotArea.XAxis.Items[4].TextBlock.Text = "Q1 09";
    }

    private void CreateSeries(DataTable tbl)
    {
        ChartSeries ser = new ChartSeries();
        ser.Type = ChartSeriesType.Line;
        foreach (DataRow row in tbl.Rows)
        {
            ChartSeriesItem item = new ChartSeriesItem();
            item.YValue = (double)row["Value"];
            item.XValue = this.GetXValue(row["Quarter"].ToString());
            ser.Items.Add(item);
        }
        RadChart1.Series.Add(ser);
    }

    public double GetXValue(string quarter)
    {
        switch (quarter)
        {
            case "Q1 08": return 1;
            case "Q2 08": return 2;
            case "Q3 08": return 3;
            case "Q4 08": return 4;
            case "Q1 09": return 5;
            default: return 0;
        }
    }
}
